org.apache.ignite.internal.binary

## Class BinaryTreeSetWriteReplacer

- java.lang.Object
- - org.apache.ignite.internal.binary.BinaryTreeSetWriteReplacer

All Implemented Interfaces:
  BinaryWriteReplacer

    public class BinaryTreeSetWriteReplacer
    extends Object
    implements BinaryWriteReplacer

Binary `TreeSet` write replacer.

### Constructor Summary

Constructors
Constructor and Description
`BinaryTreeSetWriteReplacer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`@Nullable Object` `replace(Object target)` Perform replace.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BinaryTreeSetWriteReplacer

    public BinaryTreeSetWriteReplacer()

### Method Detail

#### replace

    @Nullable
    public @Nullable Object replace(Object target)

Perform replace.

Specified by:
  `replace` in interface `BinaryWriteReplacer`
Parameters:
  `target` - Original object.
Returns:
  Replaced object.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023